ApiAgent reply style
Gets one reply-style version, with the prompt block it renders to.
Agent admins only.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.
In: header
Path Parameters
agent*string
The agent ID.
version*integer
The version number.
Format
int32tenant*string
The tenant identifier
Response Body
curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/replyStyle/versions/0"{
"number": 0,
"status": "DRAFT",
"content": {
"summary": "string",
"rules": [
{
"text": "string",
"situation": "string"
}
],
"examples": [
{
"situation": "string",
"turns": []
}
]
},
"renderedText": "string",
"tokenEstimate": 0,
"createdBy": "string",
"createdAt": 0,
"modifiedAt": 0,
"activatedAt": 0,
"activatedBy": "string",
"retiredAt": 0,
"expiresAt": 0,
"buildId": "00000000-0000-0000-0000-000000000000",
"check": {
"running": false,
"style": {
"runId": "00000000-0000-0000-0000-000000000000",
"cases": 0,
"draftWins": 0,
"withoutWins": 0,
"ties": 0,
"score": 0
},
"substance": {
"runId": "00000000-0000-0000-0000-000000000000",
"cases": 0,
"draftWins": 0,
"withoutWins": 0,
"ties": 0,
"score": 0
}
}
}Empty
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}